Compatibility between Different Versions of OFED, MPSS and OS

OpenFabrics Enterprise Distribution (OFED) software package is an open-source software for RDMA and kernel bypass applications often used in high-performance computing among other areas. These applications require high throughput and low latency. The Intel® Manycore Platform Software Stack (Intel® MPSS) is the software to run the Intel® Xeon Phi™ Coprocessor, which also supports OFED. That is, Intel® MPSS allows Intel® Xeon Phi™ coprocessors to communicate with external nodes over InfiniBand* protocol when a supported Intel® True Scale or Mellanox InfiniBand* is installed and when OFED is installed.

Each MPSS version supports certain releases of Operating Systems (OS), and certain versions of OFED distro. In turn, each version of OFED distro supports certain releases of OS.  Given an OS, users may be interested in knowing which MPSS version and which OFED version can be used together.

Let’s say, you want to work with a particular version of MPSS, the following three steps show how to choose an OFED distro which works with that version of MPSS running on a particular OS.

  1. First, after choosing an Intel® MPSS version , you need to refer to the readme file associated with that version to make sure that the underlying OS is supported. If your OS is not supported, you may have to choose another MPSS version.

  2. Second, take a look in the corresponding MPSS User Guide document to see which OFED distros are supported by this MPSS version. For example, refer to Section 3.6.1 ‘Supported OFED distros’ in MPSS User’s Guide version 3.6.1, and note the list of OFED distros.

  3. Finally, among the OFED distros in the list (step 2), choose one version that you want to try, download it and then read the release note of that OFED distro to ensure that the OS you are running is supported.If your OS is not listed there, meaning that OFED doesn’t support your OS, then choose another OFED distro in step 2 and repeat this step (3).

For convenience, I built  compatibility matrices below for the last two MPSS versions available (3.5.2 and 3.6.1).

I noted all the supported OS (step 1) in the readme file and all supported OFED distros (step 2) in the MPSS User Guide. Then I downloaded all the supported OFED distros; and for each OFED distro, I examined whether or not that OFED stack supported a particular OS from step 1.

 

MPSS 3.5.2:

  • OFED+ : supports RHEL 6.4,RHEL 6.5, RHEL 6.6, SUSE 11 SP3

  • OFED 1.5.4.1: none (refer to <INSTALL DIR>/docs/OFED_release_notes.txt)

  • OFED 3.5-2-MIC: supports RL6.4, RHEL 6.5, RHEL 7.0, SLES 11 SP3 (refer to <INSTALL DIR> /docs/OFED_release_notes.txt)

  • OFED 3.12-1: supports RHEL 6.4, RHEL 6.5, RHEL 6.6, RHEL 7.0, SLES 11 SP3, SLES 12 (refer to <INSTALL DIR>/docs/OFED_release_notes.txt)

  • OFED 3.18: supports RHEL 6.5, RHEL 6.6, RHEL 7.0, RHEL 7.1, SLES 11 SP3, SLES 12 (refer to <INSTALL DIR>/docs/OFED_release_notes.txt)

  • Mellanox* OFED 2.1supports RHEL 6.4, RHEL 6.5, SLES 11 SP3, 2.2supports RHEL 6.4, RHEL 6.5, RHEL 7.0, SLES 11 SP3, Mellanox* OFED 2.3-1.0.1supports RHEL 6.4, RHEL 6.5, RHEL 7.0, SLES 11 SP3.

 

The below table summarizes all support►ed OS versions, OFED distros and their relationship with MPSS 3.5.2:

 

OFED+

OFED 3.5-2-MIC

OFED 3.12-1

OFED 3-18

Mellanox* OFED 2.1, 2.2, 2.3-1.0.1

RHEL 6.4

Yes

Yes

Yes

 

Yes

RHEL 6.5

Yes

Yes

Yes

Yes

Yes

RHEL 6.6

Yes

 

Yes

Yes

 

RHEL 7.0

 

Yes

Yes

Yes

Yes

(2.1 doesn’t support RHEL 7.0)

RHEL 7.1

 

 

 

Yes

 

SUSE 11 SP3

Yes

Yes

Yes

Yes

Yes

SUSE 12

 

 

Yes

Yes

 

 

 

MPSS 3.6.1

  • OFED+ : RHEL 6.5, RHEL 6.6, SUSE 11 SP3

  • OFED 1.5.4.1: none (refer to <INSTALL DIR>/docs/OFED_release_notes.txt)

  • OFED 3.5-2-MIC: supports RHEL 6.5, RHEL 7.0 (refer to <INSTALL DIR>/docs/OFED_release_notes.txt)

  • OFED 3.12-1:RHEL 6.5, RHEL 6.6, RHEL 7.0, SLES 11 SP3, SLES 12

  • OFED 3-18 (RHEL 6.5, RHEL 6.6, RHEL 7.0, RHEL 7.1, SLES 11 SP3, SLES 12) and OFED 3-16.1 (RHEL 6.5, RHEL 6.6, RHEL 6.7, RHEL 7.0, RHEL 7.1, SLES 11 SP3, SLES 11 SP4, SLES 12)

  • Mellanox* OFED 2.4-1.0.0 (RHEL 6.5, RHEL 6.6, RHEL 7.0, SLES 11 SP3, SLES 12)

     

The below table summarizes all supported OS versions, OFED distros and their relationship with MPSS 3.6.1:

 

OFED+

OFED 3.5-2-MIC

OFED 3.12-1

OFED 3-18

OFED 3-18-1

Mellanox* OFED 2.4

RHEL 6.5

Yes

Yes

Yes

Yes

Yes

Yes

RHEL 6.6

Yes

 

Yes

Yes

Yes

Yes

RHEL 6.7

 

 

 

 

Yes

 

RHEL 7.0

 

Yes

Yes

Yes

Yes

Yes

RHEL 7.1

 

 

 

Yes

Yes

 

RHEL 7.2

 

 

 

 

 

 

SUSE 11 SP3

Yes

 

Yes

Yes

Yes

Yes

SUSE 11 SP4

 

 

 

 

Yes

 

SUSE 12

 

 

Yes

Yes

Yes

Yes

 

 

In summary, with three simple steps, this blog showed how to determine if an OFED distro is compatible with a particular MPSS stack running on a specific OS. In addition, this blog summarized the compatible OS/OFED matrices for MPSS 3.5.2 and 3.6.1.

 

References

About the Author

Loc Q Nguyen received an MBA from University of Dallas, a master’s degree in Electrical Engineering from McGill University, and a bachelor's degree in Electrical Engineering from École Polytechnique de Montréal. He is currently a software engineer with Intel Corporation's Software and Services Group. His areas of interest include computer networking, computer graphics, and parallel processing.               

For more complete information about compiler optimizations, see our Optimization Notice.

2 comments

Top

Hi Rob,

As far as I know, MPSS 3.8 will not be updated for new OS. Have you tried MPSS 3.8.3 yet since it supports RHEL 7.3?

Thanks

 

 

c01n5ta5h's picture

Any chance of an update for MPSS 3.8 and CentOS 7.3 ?

Add a Comment

Have a technical question? Visit our forums. Have site or software product issues? Contact support.